MarkovComposer

compose

## Class MarkovComposer

- java.lang.Object
- - compose.Composer
  - - compose.MarkovComposer

-     public class MarkovComposer
      extends Composer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private IPhrase` | `basePhrase`
    `private int` | `depth`
    `private boolean` | `dynamics`
    `private int` | `noteCount`
    `private boolean` | `pitch`
    `private boolean` | `rhythmvalue`
    `private int` | `tempo`

    - ### Fields inherited from class compose.Composer

      `parent, score`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarkovComposer(ComposingDialog parent, java.util.ArrayList<IPhrase> iPhrases, int tempo, int depth, int noteCount, boolean pitch, boolean rhythmvalue, boolean dynamics)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compose()`

    - ### Methods inherited from class compose.Composer

      `createAnswerPhrase, createCounterPhrase, createDrumPhrase, getIScore, muteAnswerPhrase, muteCounterPhrase, muteDrumPhrase, setAnswerInstrument, setCounterInstrument, setDrumInstrument, setPhraseInstrument, setTempo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### basePhrase

          private IPhrase basePhrase

    - #### depth

          private int depth

    - #### noteCount

          private int noteCount

    - #### pitch

          private boolean pitch

    - #### rhythmvalue

          private boolean rhythmvalue

    - #### dynamics

          private boolean dynamics

    - #### tempo

          private int tempo

  - ### Constructor Detail

    - #### MarkovComposer

          public MarkovComposer(ComposingDialog parent,
                        java.util.ArrayList<IPhrase> iPhrases,
                        int tempo,
                        int depth,
                        int noteCount,
                        boolean pitch,
                        boolean rhythmvalue,
                        boolean dynamics)

  - ### Method Detail

    - #### compose

          public void compose()